GET
Usage Margin By Tier

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Query Parameters

start_date
string<date-time> | null
end_date
string<date-time> | null
tier_name
string | null

Response

Successful Response

tier_name
string
required
total_calls
integer
required
total_duration_seconds
integer
required
total_cogs_usd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
total_retail_usd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
total_margin_usd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
margin_pct
string
required

Gross margin percentage. the pricing spec requires investigation below 25% and signup-suspension below 15%.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$